plowlist(1)

NAME
plowlist - List links from shared folders websites

SYNOPSIS
plowlist [OPTIONS]... [MODULE_OPTIONS]... URL...

DESCRIPTION
plowlist is a command-line tool designed for listing links (files) on file-sharing websites. Provided links can be downloaded with plowdown(1). Currently supported hosting sites list is available in README file.

OPTIONS

  Common options

-i, --interface=IFACE
    If your machine has several network interfaces, force using IFACE interface.

-R, --recursive
    Recurse into sub folders.

--printf=FORMAT
    Print results (on stdout) in a given format (for each non-dead link). Default string is: "%F%u%n". Interpreted sequences are:

    %%  raw % character

    %f  filename (can be empty string if module list function does not report any name)

    %F  empty if %f is empty, or alias to "# %f%n".

    %m  module name

    %n  newline

    %t  tabulation character

    %u  download url

  Logging options

-v, --verbose=LEVEL
    Set output verbose level:
    0 none,
    1 errors,
    2 notice (default behavior),
    3 debug,
    4 report (very noisy, log HTML pages).

-q, --quiet
    Alias for -v0. Do not print any debug messages.

  Miscellaneous options

--fallback
    If no module is found for link, get page (HTTP GET) and simply grep all URLs contained inside.

--no-plowsharerc
    Do not consider any configuration file.

--plowsharerc=FILE
    Force using an alternate configuration file (instead of per-user or systemwide plowshare.conf). This option has no effect when --no-plowsharerc is defined.

--modules
    Display all supported module names (one per line) and exit. Useful for wrappers.

  Generic program information

-h, --help
    Display main help and exit.

-H, --longhelp
    Display complete help (with module options) and exit.

--version
    Output version information and exit.

MODULE OPTIONS

  Common options

-p, --link-password=PASSWORD
    Used for password-protected folders.

All switches are not implemented nor required for all modules. See help message for detailed modules option list.

EXAMPLES

  1) List links providing shared folder URL(s)
    $ plowlist http://rapidgator.net/folder/1689302/Test.html

    # First URL is processed, then the second one (this is not parallel)
    $ plowlist http://www.mediafire.com/?qouncpzfe74s9 \
        http://www.sendspace.com/folder/5njdw7

  2) Custom results format
    # List to give to plowdown (only links, no filenames)
    $ plowlist --printf '%u%n' http://www.sendspace.com/folder/5njdw7 >mylist.txt

    # vBulletin "BB" syntax
    $ plowlist --printf '[url=%u]%f[/url]%n' \
        http://www.sendspace.com/folder/5njdw7 >mylist.txt

FILES

~/.config/plowshare/plowshare.conf
    This is the per-user configuration file.

/etc/plowshare.conf
    Systemwide configuration file.

The file format is described in plowshare.conf(5).

EXIT CODES
Possible exit codes are:

0   Success. Folder contain one or several files.

1   Fatal error. Upstream site updated or unexpected result.

2   No available module (provided URL is not supported).

3   Network error. Mostly curl related.

10  Links are temporarily unavailable. This is used by mirroring/multi-upload services, maybe uploads are still beeing processed.

11  Folder is password protected.

13  Folder has been deleted or does not exist or is empty.

15  Unknown command line parameter or incompatible options.

If plowlist is invoked with multiple links and one or several errors occur, the first error code is returned added with 100.

AUTHORS
Plowshare was initially written by Arnau Sanchez. See the AUTHORS file for a list of some of the many other contributors. Plowshare is (C) 2010-2014 The Plowshare Team

SEE ALSO
plowdown(1), plowup(1), plowdel(1), plowprobe(1), plowshare.conf(5).